import { OnInit, OnDestroy, ElementRef, Renderer2, OnChanges, SimpleChanges } from "@angular/core";
import { BlocksService } from "../services/blocks/blocks.service";
import { Router } from "@angular/router";
export declare class ParamsContext {
    [key: string]: any;
}
export declare class AddActionRedirectDirective implements OnChanges, OnInit, OnDestroy {
    private document;
    private elementRef;
    private renderer;
    private blocksService;
    private router;
    private banner;
    private classStr;
    private redirectUrl;
    private linstenEvent;
    private transparent;
    set ecAddActionRedirect(value: any);
    set classStrSpacing(value: any);
    set isTransparent(value: boolean);
    constructor(document: any, elementRef: ElementRef, renderer: Renderer2, blocksService: BlocksService, router: Router);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    redirectFromUrl: (evt: any) => void;
    ngOnDestroy(): void;
}
